import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:gmalpha_flutter/FindModel/page/FindModel.dart';
import 'package:gmalpha_flutter/NewMessageModel/page/messagePage/common.dart';
import 'package:gmalpha_flutter/commonModel/base/BasePage.dart';
import 'package:gmalpha_flutter/res/value/ALColors.dart';
import 'package:flutter_staggered_grid_view/flutter_staggered_grid_view.dart';

class FindPage extends StatefulWidget {
  FindModel _findModel;
  final String fromPage;

  FindPage(this.fromPage) {
    _findModel = new FindModel(1, 8);
  }

  @override
  _FindPageState createState() => _FindPageState(_findModel);
}

class _FindPageState extends BasePage<FindPage> {
  FindModel _findModel;
  static int count = 8;
  static int page = 1;
  ScrollController _scrollController = new ScrollController();
  _FindPageState(this._findModel);

  @override
  Widget build(BuildContext context) {
    ScreenUtil.instance = ScreenUtil(width: 375.0, height: 667.0)
      ..init(context);
    return Scaffold(
        appBar: AppBar(
          centerTitle: false,
          leading: messageTitle('发现'),
          elevation: 0,
          backgroundColor: ALColors.ColorFFFFFF,
        ),
        body: new Padding(
          padding: const EdgeInsets.only(top: 0.0),
          child: listItemInfo(),
        ));
  }

  Widget listItemInfo() {
    return new StaggeredGridView.countBuilder(
      controller: _scrollController,
      crossAxisCount: 4,
      itemCount: 20,
      itemBuilder: (BuildContext context, int index) => new Container(
          color: Colors.green,
          child: new Center(
            child: new CircleAvatar(
              backgroundColor: Colors.white,
              child: new Text('$index'),
            ),
          )),
      staggeredTileBuilder: (int index) =>
          new StaggeredTile.count(2, index.isEven ? 2 : 1),
      mainAxisSpacing: 4.0,
      crossAxisSpacing: 4.0,
    );
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  String pageName() {
    return 'find_home';
  }

  @override
  String referrer() {
    return widget.fromPage;
  }
}
